"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AlertExample;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _Info = _interopRequireDefault(require("@material-ui/icons/Info"));

var _react = _interopRequireDefault(require("react"));

var _Alert = _interopRequireDefault(require("../Alert"));

var _bootstrapColors = _interopRequireDefault(require("../bootstrapColors"));

var _Button = _interopRequireDefault(require("../Button"));

var _AlertSnippet = _interopRequireDefault(require("./AlertSnippet"));

function AlertExample() {
  var _React$useState = _react.default.useState(true),
      _React$useState2 = (0, _slicedToArray2.default)(_React$useState, 2),
      show = _React$useState2[0],
      setShow = _React$useState2[1];

  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Grid.default, {
    container: true,
    spacing: 3
  }, _bootstrapColors.default.map(function (color, idx) {
    return _react.default.createElement(_Grid.default, {
      item: true,
      key: idx,
      xs: 12,
      sm: 6,
      md: 4
    }, _react.default.createElement(_Alert.default, {
      color: color
    }, _react.default.createElement(_Alert.default.Heading, null, "Heading"), "Alert ", color, " with a", " ", _react.default.createElement("a", {
      href: "https://google.com",
      target: "google"
    }, "link"), "."));
  })), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "info"
  }, _react.default.createElement(_Alert.default.Heading, {
    icon: _react.default.createElement(_Info.default, null)
  }, "Heading With Icon"), _react.default.createElement("p", null, "You can drop in an icon to make helpful info boxes."), _react.default.createElement("p", null, _react.default.createElement("code", null, "<Alert.Heading icon={<InfoIcon />}>"))), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "danger",
    dismissible: true,
    maxWidth: "md"
  }, "This is a dismissable one. This is a dismissable one. This is a dismissable one."), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "danger",
    dismissible: true,
    show: show,
    onClose: function onClose() {
      return setShow(false);
    }
  }, _react.default.createElement(_Alert.default.Heading, null, "Control State"), "This is a dismissable one where you control the dismissed state externally."), _react.default.createElement(_Button.default, {
    onClick: function onClick() {
      return setShow(true);
    }
  }, "Show"), _react.default.createElement(_Button.default, {
    onClick: function onClick() {
      return setShow(false);
    }
  }, "Hide"), _react.default.createElement(_AlertSnippet.default, null));
}