"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AlertSnippet;

var _react = _interopRequireDefault(require("react"));

var _reactSyntaxHighlighter = _interopRequireDefault(require("react-syntax-highlighter"));

var _hljs = require("react-syntax-highlighter/dist/esm/styles/hljs");

function AlertSnippet() {
  var codeString = "\n  import React from \"react\"\n  import { Alert, Button } from \"material-ui-bootstrap\"\n  \n  export default function AlertExample() {\n    const [show, setShow] = React.useState(true)\n    return (\n      <>\n        <Alert\n          color=\"danger\"\n          dismissible\n          show={show}\n          onClose={() => setShow(false)}\n        >\n          <Alert.Heading>Control State</Alert.Heading>\n          This is a dismissable one where you control the dismissed state\n          externally.\n        </Alert>\n        <Button onClick={() => setShow(true)}>Show</Button>\n        <Button onClick={() => setShow(false)}>Hide</Button>\n      </>\n    )\n  }\n  \n";
  return _react.default.createElement(_reactSyntaxHighlighter.default, {
    language: "javascript",
    style: _hljs.docco
  }, codeString);
}